WMAPM(1)

NAME
WMAPM - Dockable APM/Battery Monitor

SYNOPSIS
wmapm [-h] [-display display] [-C CriticalLevel] [-L LowLevel] [-b BlinkRate] [-B BeepVolume] [-A T1 T2]

DESCRIPTION

WMAPM is an APM/Battery Monitor. It is used to visually display and interpret details of APM/Battery status from the system's BIOS via Linux and FreeBSD kernels.

WMAPM is dockable using WindowMaker and AfterStep window-managers; under other window-managers, WMAPM appears as a nicely-sized 64x64 application.

WMAPM provides the following information: battery or AC operation, battery life remaining (both in percentage and bar), time left until battery-depletion (Linux only), charging status, and battery status (high - green, low - yellow, or critical - red) as reported by the the APM BIOS.

OPTIONS

-h  Display list of command-line options.

-C CriticalPercent
    Set Critical threshold to specified (integer) percent.

-L LowPercent
    Set Low threshold to specified (integer) percent.

-b BlinkRate
    Set blink rate of red LED to given (float) value.

-B BeepVolume
    Make wmapm beep at the specified volume (integer between -100 and 100) when critical level is reached.

-A Time1 Time2
    Make wmapm warn all users via wall of Low and Critical status. Time1 and Time2 are times in seconds between updates when in Low and Critical States respectively.

-display [display]
    Use the designated X display.

BUGS
None are known

AUTHORS
Chris D. Faulhaber <jedgar@speck.ml.org> Michael G. Henderson <mghenderson@lanl.gov>